Skip to main content
POST
/
v1
/
data-tables
/
{dataTableId}
/
export
Export Data Table
curl --request POST \
  --url https://localtest.mindbridge.ai/api/v1/data-tables/{dataTableId}/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    "<string>"
  ],
  "query": {},
  "sort": {
    "field": "<string>",
    "direction": "ASC"
  },
  "limit": 2,
  "csvConfiguration": {
    "delimiter": "<string>",
    "quote": "<string>",
    "quoteEscape": "<string>",
    "quoteEscapeEscape": "<string>"
  },
  "innerListCsvConfiguration": {
    "delimiter": "<string>",
    "quote": "<string>",
    "quoteEscape": "<string>",
    "quoteEscapeEscape": "<string>"
  }
}
'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": {},
  "entityType": "ORGANIZATION",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataTableId
string
required

Body

application/json
fields
string[]
required

The data table fields to be included in the results.

Minimum string length: 1
Pattern: \s*\S+.*
query
object

The MindBridge QL query used to filter data in the data table.

sort
object

Indicates how the data will be sorted.

Default sort order = ascending

limit
integer<int32>

The number of results to be returned.

Required range: x >= 1
csvConfiguration
object

The configuration to use when generating the CSV file.

innerListCsvConfiguration
object

The configuration to use when formatting lists within cells in the CSV file.

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
object

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE
error
string

The reason why the async job failed.